Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class HListingExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.html.HListingExtractorTest

    public class HListingExtractorTest

extends AbstractExtractorTestCase

Reference Test class for the `HListingExtractor` extractor.

Author:
  Davide Palmisano (dpalmisano@gmail.com)

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`HListingExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testActionsOutside()`
`void` | `testComplexDescription()`
`void` | `testDescription()`
`void` | `testDtExpired()`
`void` | `testDtListed()`
`void` | `testDtListedAndExpired()`
`void` | `testItemFn()`
`void` | `testItemFnUrl()`
`void` | `testItemPhotoHref()`
`void` | `testItemPhotoImg()`
`void` | `testKelkoo()`
`void` | `testKelkooFull()`
`void` | `testListerEmail()`
`void` | `testListerEmailHref()`
`void` | `testListerFn()`
`void` | `testListerFnTel()`
`void` | `testListerURL()`
`void` | `testListingWithouthContent()`
`void` | `testMultipleActions()`
`void` | `testMultipleActionsNested()`
`void` | `testNoMicroformats()`
`void` | `testPermalink()`
`void` | `testPrice()`
`void` | `testPriceAndDt()`
`void` | `testSingleAction()`
`void` | `testSummary()`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HListingExtractorTest

    public HListingExtractorTest()

Method Detail

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testNoMicroformats

    public void testNoMicroformats()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testListingWithouthContent

    public void testListingWithouthContent()
                                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testSingleAction

    public void testSingleAction()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleActions

    public void testMultipleActions()
                             throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleActionsNested

    public void testMultipleActionsNested()
                                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testActionsOutside

    public void testActionsOutside()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testListerFn

    public void testListerFn()
                      throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testListerFnTel

    public void testListerFnTel()
                         throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testItemFn

    public void testItemFn()
                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testItemFnUrl

    public void testItemFnUrl()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testItemPhotoImg

    public void testItemPhotoImg()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testItemPhotoHref

    public void testItemPhotoHref()
                           throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testKelkoo

    public void testKelkoo()
                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testKelkooFull

    public void testKelkooFull()
                        throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testListerURL

    public void testListerURL()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testListerEmail

    public void testListerEmail()
                         throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testListerEmailHref

    public void testListerEmailHref()
                             throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testDtListed

    public void testDtListed()
                      throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testDtExpired

    public void testDtExpired()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testSummary

    public void testSummary()
                     throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testDtListedAndExpired

    public void testDtListedAndExpired()
                                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testPrice

    public void testPrice()
                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testPriceAndDt

    public void testPriceAndDt()
                        throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testPermalink

    public void testPermalink()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testComplexDescription

    public void testComplexDescription()
                                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testDescription

    public void testDescription()
                         throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.